Search for to

  1. Search 7.x for to
  2. Search 9.5.x for to
  3. Search 8.9.x for to
  4. Search 10.3.x for to
  5. Search 11.x for to
  6. Other projects
Title Object type File name Summary
QueryFactoryInterface.php file core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php
QueryFactoryInterface::get function core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php Instantiates an entity query for a given entity type.
QueryFactoryInterface::getAggregate function core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php Instantiates an aggregation query object for a given entity type.
QueryFactoryTest class core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Tests Drupal\Core\Config\Entity\Query\QueryFactory.
QueryFactoryTest.php file core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php
QueryFactoryTest::getConfigObject function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Gets a test configuration object.
QueryFactoryTest::providerTestGetKeys function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php
QueryFactoryTest::testGetKeys function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Tests get keys.
QueryFactoryTest::testGetKeysWildCardEnd function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Tests get keys wild card end.
QueryGroupByTest::$storage property core/modules/views/tests/src/Kernel/QueryGroupByTest.php The storage for the test entity type.
QueryGroupByTest::testGroupByCountOnlyFilters function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests group by with filters.
QueryOptionsTest::testStoreQuerySettingsOverride function core/modules/views/tests/src/Functional/Plugin/QueryOptionsTest.php Test that query overrides are stored.
QueryParameterWorkspaceNegotiator class core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Defines the query parameter workspace negotiator.
QueryParameterWorkspaceNegotiator.php file core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php
QueryParameterWorkspaceNegotiator::$persist property core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Whether the negotiated workspace should be persisted.
QueryParameterWorkspaceNegotiator::applies function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Checks whether the negotiator applies to the current request or not.
QueryParameterWorkspaceNegotiator::getActiveWorkspaceId function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Performs workspace negotiation.
QueryParameterWorkspaceNegotiator::getQueryOptions function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Returns the query options used by this negotiator.
QueryParameterWorkspaceNegotiator::getQueryToken function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Calculates a token based on a workspace ID.
QueryParameterWorkspaceNegotiator::setActiveWorkspace function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Notifies the negotiator that the workspace ID returned has been accepted.
QueryParameterWorkspaceNegotiator::unsetActiveWorkspace function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Unsets the negotiated workspace.
QueryPluginBase::$groupOperator property core/modules/views/src/Plugin/views/query/QueryPluginBase.php Controls how the WHERE and HAVING groups are put together.
QueryPluginBase::setGroupOperator function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Control how all WHERE and HAVING groups are put together.
QueryPluginBase::setOffset function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Set an OFFSET on the query, specifying a number of results to skip.
QueryPluginBase::submitOptionsForm function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Handle any special handling on the validate form.
QueryTest::testConditionOperatorArgumentsSQLInjection function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests SQL injection via condition operator.
QueueDatabaseFactory class core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php Defines the queue factory for the database backend.
QueueDatabaseFactory.php file core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php
QueueDatabaseFactory::$connection property core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php The database connection.
QueueDatabaseFactory::get function core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php Constructs a new queue object for a given name.
QueueDatabaseFactory::__construct function core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php Constructs this factory object.
QueueExceptionsTest::testDelayedRequeueExceptionCallsParentConstructor function core/tests/Drupal/Tests/Core/Queue/QueueExceptionsTest.php Tests that the `DelayedRequeueException` calls parent constructor.
QueueFactory class core/lib/Drupal/Core/Queue/QueueFactory.php Defines the queue factory.
QueueFactory.php file core/lib/Drupal/Core/Queue/QueueFactory.php
QueueFactory::$queues property core/lib/Drupal/Core/Queue/QueueFactory.php Instantiated queues, keyed by name.
QueueFactory::$settings property core/lib/Drupal/Core/Queue/QueueFactory.php The settings object.
QueueFactory::get function core/lib/Drupal/Core/Queue/QueueFactory.php Constructs a new queue.
QueueFactory::__construct function core/lib/Drupal/Core/Queue/QueueFactory.php Constructs QueueFactory object.
QueueFactoryInterface interface core/lib/Drupal/Core/Queue/QueueFactoryInterface.php An interface defining queue factory classes.
QueueFactoryInterface.php file core/lib/Drupal/Core/Queue/QueueFactoryInterface.php
QueueFactoryInterface::get function core/lib/Drupal/Core/Queue/QueueFactoryInterface.php Constructs a new queue object for a given name.
Random::$randomGenerator property core/tests/Drupal/TestTools/Random.php The random generator.
Random::getGenerator function core/tests/Drupal/TestTools/Random.php Gets the random generator for the utility methods.
RandomGeneratorTrait trait core/tests/Drupal/Tests/RandomGeneratorTrait.php Provides random generator utility methods.
RandomGeneratorTrait.php file core/tests/Drupal/Tests/RandomGeneratorTrait.php
RandomGeneratorTrait::getRandomGenerator function core/tests/Drupal/Tests/RandomGeneratorTrait.php Gets the random generator for the utility methods.
RandomGeneratorTrait::randomMachineName function core/tests/Drupal/Tests/RandomGeneratorTrait.php Generates a unique random string containing letters and numbers.
RandomGeneratorTrait::randomObject function core/tests/Drupal/Tests/RandomGeneratorTrait.php Generates a random PHP object.
RandomGeneratorTrait::randomString function core/tests/Drupal/Tests/RandomGeneratorTrait.php Generates a pseudo-random string of ASCII characters of codes 32 to 126.
RandomTest::testRandomStringValidator function core/tests/Drupal/Tests/Component/Utility/RandomTest.php Tests random string validation callbacks.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.